LogStats (Oracle - Berkeley DB Java API)
Date: 2010-04-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class LogStats

    java.lang.Object
      com.sleepycat.db.LogStats

    public class LogStats

extends Object

Log statistics for a database environment.

Method Summary
`int` | `getCurFile()` TODO
`int` | `getCurOffset()` TODO
`int` | `getDiskFile()` TODO
`int` | `getDiskOffset()` TODO
`int` | `getLgBSize()` TODO
`int` | `getLgSize()` TODO
`int` | `getMagic()` TODO
`int` | `getMaxCommitperflush()` TODO
`int` | `getMinCommitperflush()` TODO
`int` | `getMode()` TODO
`long` | `getRCount()` TODO
`long` | `getRecord()` TODO
`long` | `getRegionNowait()` TODO
`long` | `getRegionWait()` TODO
`int` | `getRegSize()` TODO
`long` | `getSCount()` TODO
`int` | `getVersion()` TODO
`int` | `getWBytes()` TODO
`int` | `getWcBytes()` TODO
`int` | `getWcMbytes()` TODO
`long` | `getWCount()` TODO
`long` | `getWCountFill()` TODO
`int` | `getWMbytes()` TODO
`String` | `toString()` For convenience, the LogStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMagic

    public int getMagic()

  TODO

### getVersion

    public int getVersion()

  TODO

### getMode

    public int getMode()

  TODO

### getLgBSize

    public int getLgBSize()

  TODO

### getLgSize

    public int getLgSize()

  TODO

### getWcBytes

    public int getWcBytes()

  TODO

### getWcMbytes

    public int getWcMbytes()

  TODO

### getRecord

    public long getRecord()

  TODO

### getWBytes

    public int getWBytes()

  TODO

### getWMbytes

    public int getWMbytes()

  TODO

### getWCount

    public long getWCount()

  TODO

### getWCountFill

    public long getWCountFill()

  TODO

### getRCount

    public long getRCount()

  TODO

### getSCount

    public long getSCount()

  TODO

### getRegionWait

    public long getRegionWait()

  TODO

### getRegionNowait

    public long getRegionNowait()

  TODO

### getCurFile

    public int getCurFile()

  TODO

### getCurOffset

    public int getCurOffset()

  TODO

### getDiskFile

    public int getDiskFile()

  TODO

### getDiskOffset

    public int getDiskOffset()

  TODO

### getMaxCommitperflush

    public int getMaxCommitperflush()

  TODO

### getMinCommitperflush

    public int getMinCommitperflush()

  TODO

### getRegSize

    public int getRegSize()

  TODO

### toString

    public String toString()

  For convenience, the LogStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.